import * as jspb from "google-protobuf"

export class SearchSort extends jspb.Message {
  getKey(): string;
  setKey(value: string): void;

  getOrder(): SearchOrder;
  setOrder(value: SearchOrder): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): SearchSort.AsObject;
  static toObject(includeInstance: boolean, msg: SearchSort): SearchSort.AsObject;
  static serializeBinaryToWriter(message: SearchSort, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): SearchSort;
  static deserializeBinaryFromReader(message: SearchSort, reader: jspb.BinaryReader): SearchSort;
}

export namespace SearchSort {
  export type AsObject = {
    key: string,
    order: SearchOrder,
  }
}

export enum SearchOrder { 
  DESC = 0,
  ASC = 1,
}
