import * as jspb from "google-protobuf"

import * as google_protobuf_timestamp_pb from 'google-protobuf/google/protobuf/timestamp_pb';

export class User extends jspb.Message {
  getId(): number;
  setId(value: number): void;

  getName(): string;
  setName(value: string): void;

  getUsername(): string;
  setUsername(value: string): void;

  getEmail(): string;
  setEmail(value: string): void;

  getPassword(): string;
  setPassword(value: string): void;

  getBlock(): boolean;
  setBlock(value: boolean): void;

  getSendemail(): boolean;
  setSendemail(value: boolean): void;

  getRegisterdate(): google_protobuf_timestamp_pb.Timestamp | undefined;
  setRegisterdate(value?: google_protobuf_timestamp_pb.Timestamp): void;
  hasRegisterdate(): boolean;
  clearRegisterdate(): void;

  getLastvisitdate(): google_protobuf_timestamp_pb.Timestamp | undefined;
  setLastvisitdate(value?: google_protobuf_timestamp_pb.Timestamp): void;
  hasLastvisitdate(): boolean;
  clearLastvisitdate(): void;

  getActivation(): string;
  setActivation(value: string): void;

  getParams(): string;
  setParams(value: string): void;

  getLastresettime(): google_protobuf_timestamp_pb.Timestamp | undefined;
  setLastresettime(value?: google_protobuf_timestamp_pb.Timestamp): void;
  hasLastresettime(): boolean;
  clearLastresettime(): void;

  getResetcount(): number;
  setResetcount(value: number): void;

  getOtpkey(): string;
  setOtpkey(value: string): void;

  getOtep(): string;
  setOtep(value: string): void;

  getRequirereset(): boolean;
  setRequirereset(value: boolean): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): User.AsObject;
  static toObject(includeInstance: boolean, msg: User): User.AsObject;
  static serializeBinaryToWriter(message: User, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): User;
  static deserializeBinaryFromReader(message: User, reader: jspb.BinaryReader): User;
}

export namespace User {
  export type AsObject = {
    id: number,
    name: string,
    username: string,
    email: string,
    password: string,
    block: boolean,
    sendemail: boolean,
    registerdate?: google_protobuf_timestamp_pb.Timestamp.AsObject,
    lastvisitdate?: google_protobuf_timestamp_pb.Timestamp.AsObject,
    activation: string,
    params: string,
    lastresettime?: google_protobuf_timestamp_pb.Timestamp.AsObject,
    resetcount: number,
    otpkey: string,
    otep: string,
    requirereset: boolean,
  }
}

