package com.loafle.cms.proto.user;

import static io.grpc.MethodDescriptor.generateFullMethodName;
import static io.grpc.stub.ClientCalls.asyncBidiStreamingCall;
import static io.grpc.stub.ClientCalls.asyncClientStreamingCall;
import static io.grpc.stub.ClientCalls.asyncServerStreamingCall;
import static io.grpc.stub.ClientCalls.asyncUnaryCall;
import static io.grpc.stub.ClientCalls.blockingServerStreamingCall;
import static io.grpc.stub.ClientCalls.blockingUnaryCall;
import static io.grpc.stub.ClientCalls.futureUnaryCall;
import static io.grpc.stub.ServerCalls.asyncBidiStreamingCall;
import static io.grpc.stub.ServerCalls.asyncClientStreamingCall;
import static io.grpc.stub.ServerCalls.asyncServerStreamingCall;
import static io.grpc.stub.ServerCalls.asyncUnaryCall;
import static io.grpc.stub.ServerCalls.asyncUnimplementedStreamingCall;
import static io.grpc.stub.ServerCalls.asyncUnimplementedUnaryCall;

/**
 */
@javax.annotation.Generated(
    value = "by gRPC proto compiler (version 1.21.0)",
    comments = "Source: user/user-service.proto")
public final class UserServiceGrpc {

  private UserServiceGrpc() {}

  public static final String SERVICE_NAME = "loafle.cms.proto.user.UserService";

  // Static method descriptors that strictly reflect the proto.
  private static volatile io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserRequest,
      com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserResponse> getCreateUserMethod;

  @io.grpc.stub.annotations.RpcMethod(
      fullMethodName = SERVICE_NAME + '/' + "CreateUser",
      requestType = com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserRequest.class,
      responseType = com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserResponse.class,
      methodType = io.grpc.MethodDescriptor.MethodType.UNARY)
  public static io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserRequest,
      com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserResponse> getCreateUserMethod() {
    io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserRequest, com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserResponse> getCreateUserMethod;
    if ((getCreateUserMethod = UserServiceGrpc.getCreateUserMethod) == null) {
      synchronized (UserServiceGrpc.class) {
        if ((getCreateUserMethod = UserServiceGrpc.getCreateUserMethod) == null) {
          UserServiceGrpc.getCreateUserMethod = getCreateUserMethod = 
              io.grpc.MethodDescriptor.<com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserRequest, com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserResponse>newBuilder()
              .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
              .setFullMethodName(generateFullMethodName(
                  "loafle.cms.proto.user.UserService", "CreateUser"))
              .setSampledToLocalTracing(true)
              .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
                  com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserRequest.getDefaultInstance()))
              .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
                  com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserResponse.getDefaultInstance()))
                  .setSchemaDescriptor(new UserServiceMethodDescriptorSupplier("CreateUser"))
                  .build();
          }
        }
     }
     return getCreateUserMethod;
  }

  private static volatile io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByIdRequest,
      com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse> getReadUserByIdMethod;

  @io.grpc.stub.annotations.RpcMethod(
      fullMethodName = SERVICE_NAME + '/' + "ReadUserById",
      requestType = com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByIdRequest.class,
      responseType = com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse.class,
      methodType = io.grpc.MethodDescriptor.MethodType.UNARY)
  public static io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByIdRequest,
      com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse> getReadUserByIdMethod() {
    io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByIdRequest, com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse> getReadUserByIdMethod;
    if ((getReadUserByIdMethod = UserServiceGrpc.getReadUserByIdMethod) == null) {
      synchronized (UserServiceGrpc.class) {
        if ((getReadUserByIdMethod = UserServiceGrpc.getReadUserByIdMethod) == null) {
          UserServiceGrpc.getReadUserByIdMethod = getReadUserByIdMethod = 
              io.grpc.MethodDescriptor.<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByIdRequest, com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse>newBuilder()
              .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
              .setFullMethodName(generateFullMethodName(
                  "loafle.cms.proto.user.UserService", "ReadUserById"))
              .setSampledToLocalTracing(true)
              .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
                  com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByIdRequest.getDefaultInstance()))
              .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
                  com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse.getDefaultInstance()))
                  .setSchemaDescriptor(new UserServiceMethodDescriptorSupplier("ReadUserById"))
                  .build();
          }
        }
     }
     return getReadUserByIdMethod;
  }

  private static volatile io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByUsernameRequest,
      com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse> getReadUserByUsernameMethod;

  @io.grpc.stub.annotations.RpcMethod(
      fullMethodName = SERVICE_NAME + '/' + "ReadUserByUsername",
      requestType = com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByUsernameRequest.class,
      responseType = com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse.class,
      methodType = io.grpc.MethodDescriptor.MethodType.UNARY)
  public static io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByUsernameRequest,
      com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse> getReadUserByUsernameMethod() {
    io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByUsernameRequest, com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse> getReadUserByUsernameMethod;
    if ((getReadUserByUsernameMethod = UserServiceGrpc.getReadUserByUsernameMethod) == null) {
      synchronized (UserServiceGrpc.class) {
        if ((getReadUserByUsernameMethod = UserServiceGrpc.getReadUserByUsernameMethod) == null) {
          UserServiceGrpc.getReadUserByUsernameMethod = getReadUserByUsernameMethod = 
              io.grpc.MethodDescriptor.<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByUsernameRequest, com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse>newBuilder()
              .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
              .setFullMethodName(generateFullMethodName(
                  "loafle.cms.proto.user.UserService", "ReadUserByUsername"))
              .setSampledToLocalTracing(true)
              .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
                  com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByUsernameRequest.getDefaultInstance()))
              .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
                  com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse.getDefaultInstance()))
                  .setSchemaDescriptor(new UserServiceMethodDescriptorSupplier("ReadUserByUsername"))
                  .build();
          }
        }
     }
     return getReadUserByUsernameMethod;
  }

  private static volatile io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserRequest,
      com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserResponse> getUpdateUserMethod;

  @io.grpc.stub.annotations.RpcMethod(
      fullMethodName = SERVICE_NAME + '/' + "UpdateUser",
      requestType = com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserRequest.class,
      responseType = com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserResponse.class,
      methodType = io.grpc.MethodDescriptor.MethodType.UNARY)
  public static io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserRequest,
      com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserResponse> getUpdateUserMethod() {
    io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserRequest, com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserResponse> getUpdateUserMethod;
    if ((getUpdateUserMethod = UserServiceGrpc.getUpdateUserMethod) == null) {
      synchronized (UserServiceGrpc.class) {
        if ((getUpdateUserMethod = UserServiceGrpc.getUpdateUserMethod) == null) {
          UserServiceGrpc.getUpdateUserMethod = getUpdateUserMethod = 
              io.grpc.MethodDescriptor.<com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserRequest, com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserResponse>newBuilder()
              .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
              .setFullMethodName(generateFullMethodName(
                  "loafle.cms.proto.user.UserService", "UpdateUser"))
              .setSampledToLocalTracing(true)
              .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
                  com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserRequest.getDefaultInstance()))
              .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
                  com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserResponse.getDefaultInstance()))
                  .setSchemaDescriptor(new UserServiceMethodDescriptorSupplier("UpdateUser"))
                  .build();
          }
        }
     }
     return getUpdateUserMethod;
  }

  private static volatile io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserRequest,
      com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserResponse> getDeleteUserMethod;

  @io.grpc.stub.annotations.RpcMethod(
      fullMethodName = SERVICE_NAME + '/' + "DeleteUser",
      requestType = com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserRequest.class,
      responseType = com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserResponse.class,
      methodType = io.grpc.MethodDescriptor.MethodType.UNARY)
  public static io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserRequest,
      com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserResponse> getDeleteUserMethod() {
    io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserRequest, com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserResponse> getDeleteUserMethod;
    if ((getDeleteUserMethod = UserServiceGrpc.getDeleteUserMethod) == null) {
      synchronized (UserServiceGrpc.class) {
        if ((getDeleteUserMethod = UserServiceGrpc.getDeleteUserMethod) == null) {
          UserServiceGrpc.getDeleteUserMethod = getDeleteUserMethod = 
              io.grpc.MethodDescriptor.<com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserRequest, com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserResponse>newBuilder()
              .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
              .setFullMethodName(generateFullMethodName(
                  "loafle.cms.proto.user.UserService", "DeleteUser"))
              .setSampledToLocalTracing(true)
              .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
                  com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserRequest.getDefaultInstance()))
              .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
                  com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserResponse.getDefaultInstance()))
                  .setSchemaDescriptor(new UserServiceMethodDescriptorSupplier("DeleteUser"))
                  .build();
          }
        }
     }
     return getDeleteUserMethod;
  }

  private static volatile io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersRequest,
      com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersResponse> getReadAllUsersMethod;

  @io.grpc.stub.annotations.RpcMethod(
      fullMethodName = SERVICE_NAME + '/' + "ReadAllUsers",
      requestType = com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersRequest.class,
      responseType = com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersResponse.class,
      methodType = io.grpc.MethodDescriptor.MethodType.UNARY)
  public static io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersRequest,
      com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersResponse> getReadAllUsersMethod() {
    io.grpc.MethodDescriptor<com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersRequest, com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersResponse> getReadAllUsersMethod;
    if ((getReadAllUsersMethod = UserServiceGrpc.getReadAllUsersMethod) == null) {
      synchronized (UserServiceGrpc.class) {
        if ((getReadAllUsersMethod = UserServiceGrpc.getReadAllUsersMethod) == null) {
          UserServiceGrpc.getReadAllUsersMethod = getReadAllUsersMethod = 
              io.grpc.MethodDescriptor.<com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersRequest, com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersResponse>newBuilder()
              .setType(io.grpc.MethodDescriptor.MethodType.UNARY)
              .setFullMethodName(generateFullMethodName(
                  "loafle.cms.proto.user.UserService", "ReadAllUsers"))
              .setSampledToLocalTracing(true)
              .setRequestMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
                  com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersRequest.getDefaultInstance()))
              .setResponseMarshaller(io.grpc.protobuf.ProtoUtils.marshaller(
                  com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersResponse.getDefaultInstance()))
                  .setSchemaDescriptor(new UserServiceMethodDescriptorSupplier("ReadAllUsers"))
                  .build();
          }
        }
     }
     return getReadAllUsersMethod;
  }

  /**
   * Creates a new async stub that supports all call types for the service
   */
  public static UserServiceStub newStub(io.grpc.Channel channel) {
    return new UserServiceStub(channel);
  }

  /**
   * Creates a new blocking-style stub that supports unary and streaming output calls on the service
   */
  public static UserServiceBlockingStub newBlockingStub(
      io.grpc.Channel channel) {
    return new UserServiceBlockingStub(channel);
  }

  /**
   * Creates a new ListenableFuture-style stub that supports unary calls on the service
   */
  public static UserServiceFutureStub newFutureStub(
      io.grpc.Channel channel) {
    return new UserServiceFutureStub(channel);
  }

  /**
   */
  public static abstract class UserServiceImplBase implements io.grpc.BindableService {

    /**
     */
    public void createUser(com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserRequest request,
        io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserResponse> responseObserver) {
      asyncUnimplementedUnaryCall(getCreateUserMethod(), responseObserver);
    }

    /**
     */
    public void readUserById(com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByIdRequest request,
        io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse> responseObserver) {
      asyncUnimplementedUnaryCall(getReadUserByIdMethod(), responseObserver);
    }

    /**
     */
    public void readUserByUsername(com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByUsernameRequest request,
        io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse> responseObserver) {
      asyncUnimplementedUnaryCall(getReadUserByUsernameMethod(), responseObserver);
    }

    /**
     */
    public void updateUser(com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserRequest request,
        io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserResponse> responseObserver) {
      asyncUnimplementedUnaryCall(getUpdateUserMethod(), responseObserver);
    }

    /**
     */
    public void deleteUser(com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserRequest request,
        io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserResponse> responseObserver) {
      asyncUnimplementedUnaryCall(getDeleteUserMethod(), responseObserver);
    }

    /**
     */
    public void readAllUsers(com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersRequest request,
        io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersResponse> responseObserver) {
      asyncUnimplementedUnaryCall(getReadAllUsersMethod(), responseObserver);
    }

    @java.lang.Override public final io.grpc.ServerServiceDefinition bindService() {
      return io.grpc.ServerServiceDefinition.builder(getServiceDescriptor())
          .addMethod(
            getCreateUserMethod(),
            asyncUnaryCall(
              new MethodHandlers<
                com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserRequest,
                com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserResponse>(
                  this, METHODID_CREATE_USER)))
          .addMethod(
            getReadUserByIdMethod(),
            asyncUnaryCall(
              new MethodHandlers<
                com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByIdRequest,
                com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse>(
                  this, METHODID_READ_USER_BY_ID)))
          .addMethod(
            getReadUserByUsernameMethod(),
            asyncUnaryCall(
              new MethodHandlers<
                com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByUsernameRequest,
                com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse>(
                  this, METHODID_READ_USER_BY_USERNAME)))
          .addMethod(
            getUpdateUserMethod(),
            asyncUnaryCall(
              new MethodHandlers<
                com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserRequest,
                com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserResponse>(
                  this, METHODID_UPDATE_USER)))
          .addMethod(
            getDeleteUserMethod(),
            asyncUnaryCall(
              new MethodHandlers<
                com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserRequest,
                com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserResponse>(
                  this, METHODID_DELETE_USER)))
          .addMethod(
            getReadAllUsersMethod(),
            asyncUnaryCall(
              new MethodHandlers<
                com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersRequest,
                com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersResponse>(
                  this, METHODID_READ_ALL_USERS)))
          .build();
    }
  }

  /**
   */
  public static final class UserServiceStub extends io.grpc.stub.AbstractStub<UserServiceStub> {
    private UserServiceStub(io.grpc.Channel channel) {
      super(channel);
    }

    private UserServiceStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected UserServiceStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new UserServiceStub(channel, callOptions);
    }

    /**
     */
    public void createUser(com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserRequest request,
        io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(getCreateUserMethod(), getCallOptions()), request, responseObserver);
    }

    /**
     */
    public void readUserById(com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByIdRequest request,
        io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(getReadUserByIdMethod(), getCallOptions()), request, responseObserver);
    }

    /**
     */
    public void readUserByUsername(com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByUsernameRequest request,
        io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(getReadUserByUsernameMethod(), getCallOptions()), request, responseObserver);
    }

    /**
     */
    public void updateUser(com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserRequest request,
        io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(getUpdateUserMethod(), getCallOptions()), request, responseObserver);
    }

    /**
     */
    public void deleteUser(com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserRequest request,
        io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(getDeleteUserMethod(), getCallOptions()), request, responseObserver);
    }

    /**
     */
    public void readAllUsers(com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersRequest request,
        io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersResponse> responseObserver) {
      asyncUnaryCall(
          getChannel().newCall(getReadAllUsersMethod(), getCallOptions()), request, responseObserver);
    }
  }

  /**
   */
  public static final class UserServiceBlockingStub extends io.grpc.stub.AbstractStub<UserServiceBlockingStub> {
    private UserServiceBlockingStub(io.grpc.Channel channel) {
      super(channel);
    }

    private UserServiceBlockingStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected UserServiceBlockingStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new UserServiceBlockingStub(channel, callOptions);
    }

    /**
     */
    public com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserResponse createUser(com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserRequest request) {
      return blockingUnaryCall(
          getChannel(), getCreateUserMethod(), getCallOptions(), request);
    }

    /**
     */
    public com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse readUserById(com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByIdRequest request) {
      return blockingUnaryCall(
          getChannel(), getReadUserByIdMethod(), getCallOptions(), request);
    }

    /**
     */
    public com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse readUserByUsername(com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByUsernameRequest request) {
      return blockingUnaryCall(
          getChannel(), getReadUserByUsernameMethod(), getCallOptions(), request);
    }

    /**
     */
    public com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserResponse updateUser(com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserRequest request) {
      return blockingUnaryCall(
          getChannel(), getUpdateUserMethod(), getCallOptions(), request);
    }

    /**
     */
    public com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserResponse deleteUser(com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserRequest request) {
      return blockingUnaryCall(
          getChannel(), getDeleteUserMethod(), getCallOptions(), request);
    }

    /**
     */
    public com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersResponse readAllUsers(com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersRequest request) {
      return blockingUnaryCall(
          getChannel(), getReadAllUsersMethod(), getCallOptions(), request);
    }
  }

  /**
   */
  public static final class UserServiceFutureStub extends io.grpc.stub.AbstractStub<UserServiceFutureStub> {
    private UserServiceFutureStub(io.grpc.Channel channel) {
      super(channel);
    }

    private UserServiceFutureStub(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      super(channel, callOptions);
    }

    @java.lang.Override
    protected UserServiceFutureStub build(io.grpc.Channel channel,
        io.grpc.CallOptions callOptions) {
      return new UserServiceFutureStub(channel, callOptions);
    }

    /**
     */
    public com.google.common.util.concurrent.ListenableFuture<com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserResponse> createUser(
        com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserRequest request) {
      return futureUnaryCall(
          getChannel().newCall(getCreateUserMethod(), getCallOptions()), request);
    }

    /**
     */
    public com.google.common.util.concurrent.ListenableFuture<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse> readUserById(
        com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByIdRequest request) {
      return futureUnaryCall(
          getChannel().newCall(getReadUserByIdMethod(), getCallOptions()), request);
    }

    /**
     */
    public com.google.common.util.concurrent.ListenableFuture<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse> readUserByUsername(
        com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByUsernameRequest request) {
      return futureUnaryCall(
          getChannel().newCall(getReadUserByUsernameMethod(), getCallOptions()), request);
    }

    /**
     */
    public com.google.common.util.concurrent.ListenableFuture<com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserResponse> updateUser(
        com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserRequest request) {
      return futureUnaryCall(
          getChannel().newCall(getUpdateUserMethod(), getCallOptions()), request);
    }

    /**
     */
    public com.google.common.util.concurrent.ListenableFuture<com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserResponse> deleteUser(
        com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserRequest request) {
      return futureUnaryCall(
          getChannel().newCall(getDeleteUserMethod(), getCallOptions()), request);
    }

    /**
     */
    public com.google.common.util.concurrent.ListenableFuture<com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersResponse> readAllUsers(
        com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersRequest request) {
      return futureUnaryCall(
          getChannel().newCall(getReadAllUsersMethod(), getCallOptions()), request);
    }
  }

  private static final int METHODID_CREATE_USER = 0;
  private static final int METHODID_READ_USER_BY_ID = 1;
  private static final int METHODID_READ_USER_BY_USERNAME = 2;
  private static final int METHODID_UPDATE_USER = 3;
  private static final int METHODID_DELETE_USER = 4;
  private static final int METHODID_READ_ALL_USERS = 5;

  private static final class MethodHandlers<Req, Resp> implements
      io.grpc.stub.ServerCalls.UnaryMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.ServerStreamingMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.ClientStreamingMethod<Req, Resp>,
      io.grpc.stub.ServerCalls.BidiStreamingMethod<Req, Resp> {
    private final UserServiceImplBase serviceImpl;
    private final int methodId;

    MethodHandlers(UserServiceImplBase serviceImpl, int methodId) {
      this.serviceImpl = serviceImpl;
      this.methodId = methodId;
    }

    @java.lang.Override
    @java.lang.SuppressWarnings("unchecked")
    public void invoke(Req request, io.grpc.stub.StreamObserver<Resp> responseObserver) {
      switch (methodId) {
        case METHODID_CREATE_USER:
          serviceImpl.createUser((com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserRequest) request,
              (io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.CreateUserResponse>) responseObserver);
          break;
        case METHODID_READ_USER_BY_ID:
          serviceImpl.readUserById((com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByIdRequest) request,
              (io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse>) responseObserver);
          break;
        case METHODID_READ_USER_BY_USERNAME:
          serviceImpl.readUserByUsername((com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserByUsernameRequest) request,
              (io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.ReadUserResponse>) responseObserver);
          break;
        case METHODID_UPDATE_USER:
          serviceImpl.updateUser((com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserRequest) request,
              (io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.UpdateUserResponse>) responseObserver);
          break;
        case METHODID_DELETE_USER:
          serviceImpl.deleteUser((com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserRequest) request,
              (io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.DeleteUserResponse>) responseObserver);
          break;
        case METHODID_READ_ALL_USERS:
          serviceImpl.readAllUsers((com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersRequest) request,
              (io.grpc.stub.StreamObserver<com.loafle.cms.proto.user.UserServiceOuterClass.ReadAllUsersResponse>) responseObserver);
          break;
        default:
          throw new AssertionError();
      }
    }

    @java.lang.Override
    @java.lang.SuppressWarnings("unchecked")
    public io.grpc.stub.StreamObserver<Req> invoke(
        io.grpc.stub.StreamObserver<Resp> responseObserver) {
      switch (methodId) {
        default:
          throw new AssertionError();
      }
    }
  }

  private static abstract class UserServiceBaseDescriptorSupplier
      implements io.grpc.protobuf.ProtoFileDescriptorSupplier, io.grpc.protobuf.ProtoServiceDescriptorSupplier {
    UserServiceBaseDescriptorSupplier() {}

    @java.lang.Override
    public com.google.protobuf.Descriptors.FileDescriptor getFileDescriptor() {
      return com.loafle.cms.proto.user.UserServiceOuterClass.getDescriptor();
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.ServiceDescriptor getServiceDescriptor() {
      return getFileDescriptor().findServiceByName("UserService");
    }
  }

  private static final class UserServiceFileDescriptorSupplier
      extends UserServiceBaseDescriptorSupplier {
    UserServiceFileDescriptorSupplier() {}
  }

  private static final class UserServiceMethodDescriptorSupplier
      extends UserServiceBaseDescriptorSupplier
      implements io.grpc.protobuf.ProtoMethodDescriptorSupplier {
    private final String methodName;

    UserServiceMethodDescriptorSupplier(String methodName) {
      this.methodName = methodName;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.MethodDescriptor getMethodDescriptor() {
      return getServiceDescriptor().findMethodByName(methodName);
    }
  }

  private static volatile io.grpc.ServiceDescriptor serviceDescriptor;

  public static io.grpc.ServiceDescriptor getServiceDescriptor() {
    io.grpc.ServiceDescriptor result = serviceDescriptor;
    if (result == null) {
      synchronized (UserServiceGrpc.class) {
        result = serviceDescriptor;
        if (result == null) {
          serviceDescriptor = result = io.grpc.ServiceDescriptor.newBuilder(SERVICE_NAME)
              .setSchemaDescriptor(new UserServiceFileDescriptorSupplier())
              .addMethod(getCreateUserMethod())
              .addMethod(getReadUserByIdMethod())
              .addMethod(getReadUserByUsernameMethod())
              .addMethod(getUpdateUserMethod())
              .addMethod(getDeleteUserMethod())
              .addMethod(getReadAllUsersMethod())
              .build();
        }
      }
    }
    return result;
  }
}
